Show a different label for the current mode in the editor mode selector (not "switch to…", as it's confusing)
Closed, ResolvedPublic1 Story Points

Description

As part of T116417, a drop-down menu was added to select the editing mode.
Currently, the options displayed are phrased as "Switch to visual editing" and "Switch to source editing". Since the selector represents the available modes but also the current selected one, the "Switch to x" phrase becomes confusing when applied to the current mode.

Presenting the options just as the modes, would make it clear avoiding redundancy and the mentioned confusion:

(This applies to Visual Editor, Wikitext editor and Flow)

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 13 2017, 8:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Jdforrester-WMF said in reaction to my question about this topic in task T116417 this answer:

@Jdforrester-WMF One little observation: Is it okay that there is a text "Switch to visual editing" if I am currently in the visual editing mode (or the same for source editing)? I think the textual representation of the current state should not be "Switch to ...", but something like "Using visual editing" or just "visual editing" instead. It seems to be a little bit confusing or misleading to me.

Certainly we could fiddle with that; I was going to wait for wider feedback before adding to translators' load, though. :-)

@Jdforrester-WMF said in reaction to my question about this topic in task T116417 this answer:

@Jdforrester-WMF One little observation: Is it okay that there is a text "Switch to visual editing" if I am currently in the visual editing mode (or the same for source editing)? I think the textual representation of the current state should not be "Switch to ...", but something like "Using visual editing" or just "visual editing" instead. It seems to be a little bit confusing or misleading to me.

Certainly we could fiddle with that; I was going to wait for wider feedback before adding to translators' load, though. :-)

@Jdforrester-WMF This was 6 weeks ago, so let's fix this?

Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Sure.

Jdforrester-WMF triaged this task as Normal priority.Apr 18 2017, 7:10 PM
Jdforrester-WMF renamed this task from Switch to current mode is confusing in the editor mode selector to Show a different label for the current mode in the editor mode selector (not "switch to…", as it's confusing).Apr 19 2017, 6:44 PM

Change 348984 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor@master] Show a different label for the current mode in the editor mode selector

https://gerrit.wikimedia.org/r/348984

Johan awarded a token.Apr 20 2017, 1:11 PM
Johan added a subscriber: Johan.

Do you know when this will be deployed?

(As my volunteer self: Thank you. This has really annoyed me.)

Do you know when this will be deployed?

Most likely with the next deployment train (April 25-27), but only if the patch is fixed (because it doesn't seem to work right now) and merged before then.

Change 348984 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Show a different label for the current mode in the editor mode selector

https://gerrit.wikimedia.org/r/348984

Having tools relabel based on state violates one of our basic design principles. It think it would be acceptable to just have "Visual editing" and "Source editing" as the labels.

Change 350455 had a related patch set uploaded (by Esanders):
[mediawiki/extensions/VisualEditor@master] EditModeTool: Use state-describing labels, instead of action-describing labels.

https://gerrit.wikimedia.org/r/350455

Having tools relabel based on state violates one of our basic design principles. It think it would be acceptable to just have "Visual editing" and "Source editing" as the labels.

Eh. Fine, I suppose. A little too brief (no use of the term "switch" in the interface any more), but I'll live with it.

Change 350455 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] EditModeTool: Use state-describing, not action-describing labels

https://gerrit.wikimedia.org/r/350455

Jdforrester-WMF closed this task as Resolved.Apr 26 2017, 6:52 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 26 2017, 6:52 PM
Dvorapa added a comment.EditedApr 26 2017, 7:42 PM

If missing "switch to" would be too confusing, it could be moved above the options as a heading:

✐ v
Switch to...
⦿ Visual Editing
[[ ]] Source editing

If missing "switch to" would be too confusing, it could be moved above the options as a heading:

✐ v
Switch to...
⦿ Visual Editing
[[ ]] Source editing

We don't put headings on these menus (though we can), and this still has "Switch to…" language seeming to apply to the current version, which was the original point of confusion.

Will it impact Flow as well (and as expected for consistency)?

Will it impact Flow as well (and as expected for consistency)?

Yes. Desktop/Mobile/Flow all use the same code now.

Will it impact Flow as well (and as expected for consistency)?

Some changes seem to have already impacted Flow. What I'm confused about is that it seems that the changed applied differs from the proposal described in the ticket, and it provides a mixed model where "switch" is shown conditionally. I'm not sure if this is a bug, an intermediate state of a previous patchset (maybe what T162864#3214981 refers to), or an alternative proposal.

Johan added a comment.May 4 2017, 12:23 PM

As a user, I like the current change – it makes it obvious which editor I'm currently using and where to click if I want to switch to the other, and adequately addresses the confusion the previous wording caused. Is this how it will look now, or will it change again next week?

As a user, I like the current change – it makes it obvious which editor I'm currently using and where to click if I want to switch to the other, and adequately addresses the confusion the previous wording caused. Is this how it will look now, or will it change again next week?

I still see the "Switch" part as unnecessary, and I don't expect users not getting that "Source editing" will change to that mode. In a similar way, I don't think that "bold" option should be renamed to "set text as bold" when it is not selected, for example.

Yes, "Switch to" was removed in T162864#3215170

Yes, "Switch to" was removed in T162864#3215170

Because of the deployment freeze this week, the change Ed is referring to isn't live yet, and won't be until May 9-11 (depending on the wiki).

Thanks @Esanders and @Catrope, for the clarifications.